import { FavoriteListApi } from "@/api/favorite";
import Product from "@/components/product";
import Search from "@/components/search"
import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import { useCallback, useEffect, useState } from "react";
import CreatePopup from "./components/createPopup";
import UpdatePopup from "./components/updatePopup";
import styles  from './index.module.scss'
export default () => {

    const changeOpenCon = (item) => {
      item.openStatus = !item.openStatus
      setList((e) => [...e])
    }

    //获取列表
    const [list, setList] = useState([])
    const {fetchData: fetchDataList} = FavoriteListApi()
    const getFavoriteList = async () => {
      let res = await fetchDataList()
      setList(() => res.data.list)
    }
    useEffect(() => {
      getFavoriteList()
    }, [])

    //创建收藏夹
    const [collectioinShow, setCollectioinShow] = useState(false)
    const closeCollection = useCallback(() => {
      setCollectioinShow(false)
    }, [])

    //创建成功
    const onCreatSuccess = useCallback(() => {
      getFavoriteList()
    }, [])


    return (
      <View className={styles.collection_main}>
        <View className={styles.search}>
          <Search  style={{width: '100%'}} debounceTime={300} changeOnSearch={(e) => console.log(e)} placeholder="请输入面料关键词" />
          <View className={styles.miconfont_con} onClick={() => setCollectioinShow(true)}><Text className={classnames(styles.miconfont, 'iconfont icon-jia')}></Text></View>
        </View>
        <View className={styles.class_list}>
          {list?.map((item:any) => <View className={styles.class_item}>
            <View key={item.id} className={styles.class_title} onClick={() => changeOpenCon(item)}>
              <Text className={classnames(styles.miconfont_left, 'iconfont icon-a-moreback', item.openStatus?styles.miconfont_open:styles.miconfont_close)}></Text>
              <View className={styles.title}>{item.name}
                {item.product_color_list&&<><Text className={styles.fg}>·</Text><Text className={styles.num}>{item.product_color_list.length}</Text></>}
              </View>
              <View className={styles.more} >更多</View>
            </View>
            <View className={styles.class_con} style={item.openStatus?{maxHeight: 10*260 + 'rpx'}:{maxHeight: 0}} >
              <Product productList={new Array(10).fill('')}/>
            </View>
          </View>)}
        </View>
        <CreatePopup show={collectioinShow} onClose={closeCollection} onSuccess={onCreatSuccess}/>
        <UpdatePopup show={true} onClose={closeCollection} onSuccess={onCreatSuccess}/>
      </View>
    )
  }